#include<bits/stdc++.h>

using namespace std;
#define int long long

void solve() {
    int n, m;
    cin >> n >> m;
    vector<int> x(m);
    for (int i = 0; i < m; ++i) cin >> x[i];
    int inf =-LLONG_MAX;
    int ans = inf;
    for(int i = 0; i < (1 << m); ++i){
        int a = 0,b = 0;
        for(int j =0 ; j < m; ++j){
            if((i >> j) & 1){
                a = x[j] - a;
            }else{
                b = x[j] - b;
            }
        }

        ans = max(ans,a + b);
    }
    cout << ans << '\n';
}

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie();
    int t;
    cin >> t;
    while (t--) {
        solve();
    }
    return 0;
}
